## org.apache.cassandra.thrift
Class SuperColumn

    java.lang.Object
      org.apache.cassandra.thrift.SuperColumn

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SuperColumn>, org.apache.thrift.TBase<SuperColumn._Fields>

    public class SuperColumn

extends java.lang.Object
implements org.apache.thrift.TBase<SuperColumn._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SuperColumn>

A named list of columns.

See Also:
  Serialized Form

Nested Class Summary
`static class` `SuperColumn._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.util.List<Column>` `columns`
`static java.util.Map<SuperColumn._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`byte[]` `name`

Constructor Summary
`SuperColumn()`
`SuperColumn(byte[] name, java.util.List<Column> columns)`
`SuperColumn(SuperColumn other)` Performs a deep copy on other.

Method Summary
`void` `addToColumns(Column elem)`
`SuperColumn` `clone()` Deprecated.
`int` `compareTo(SuperColumn other)`
`SuperColumn` `deepCopy()`
`boolean` `equals(java.lang.Object that)`
`boolean` `equals(SuperColumn that)`
`java.util.List<Column>` `getColumns()`
`java.util.Iterator<Column>` `getColumnsIterator()`
`int` `getColumnsSize()`
`java.lang.Object` `getFieldValue(int fieldId)`
`java.lang.Object` `getFieldValue(SuperColumn._Fields field)`
`byte[]` `getName()`
`int` `hashCode()`
`boolean` `isSet(int fieldID)`
`boolean` `isSet(SuperColumn._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`boolean` `isSetColumns()` Returns true if field columns is set (has been asigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been asigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`SuperColumn` `setColumns(java.util.List<Column> columns)`
`void` `setColumnsIsSet(boolean value)`
`void` `setFieldValue(int fieldID, java.lang.Object value)`
`void` `setFieldValue(SuperColumn._Fields field, java.lang.Object value)`
`SuperColumn` `setName(byte[] name)`
`void` `setNameIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumns()`
`void` `unsetName()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public byte[] name

### columns

    public java.util.List<Column> columns

### metaDataMap

    public static final java.util.Map<SuperColumn._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### SuperColumn

    public SuperColumn()

### SuperColumn

    public SuperColumn(byte[] name,
                       java.util.List<Column> columns)

### SuperColumn

    public SuperColumn(SuperColumn other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public SuperColumn deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### clone

    @Deprecated
    public SuperColumn clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### getName

    public byte[] getName()

### setName

    public SuperColumn setName(byte[] name)

### unsetName

    public void unsetName()

### isSetName

    public boolean isSetName()

  Returns true if field name is set (has been asigned a value) and false otherwise

### setNameIsSet

    public void setNameIsSet(boolean value)

### getColumnsSize

    public int getColumnsSize()

### getColumnsIterator

    public java.util.Iterator<Column> getColumnsIterator()

### addToColumns

    public void addToColumns(Column elem)

### getColumns

    public java.util.List<Column> getColumns()

### setColumns

    public SuperColumn setColumns(java.util.List<Column> columns)

### unsetColumns

    public void unsetColumns()

### isSetColumns

    public boolean isSetColumns()

  Returns true if field columns is set (has been asigned a value) and false otherwise

### setColumnsIsSet

    public void setColumnsIsSet(boolean value)

### setFieldValue

    public void setFieldValue(SuperColumn._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(SuperColumn._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### isSet

    public boolean isSet(SuperColumn._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(SuperColumn that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(SuperColumn other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<SuperColumn>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<SuperColumn._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2010 The Apache Software Foundation